//운영서비스 관리 - 아이템 리스트 api 연결

import { Axios } from '../utils';

//아이템 리스트 조회
export const ItemListView = async (token, searchType, data, status, restore, order, size, currentPage) => {
	try {
		const res = await Axios.get(
			`/api/v1/items/list?search_type=${searchType ? searchType : ''}
			&search_key=${data ? data : ''}
            &orderby=${order}
			&page_no=${currentPage}
			&page_size=${size}
			`,
			{
				headers: { Authorization: `Bearer ${token}` },
			},
		);
        // console.log(res.data.data);

		return res.data.data;
	} catch (e) {
		if (e instanceof Error) {
			
		}
	}
};